Bug 1017440 - Group Metrics Subtab navigation gets confused
Group Metrics Subtab navigation gets confused
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity unspecified
: ER04
: JON 3.2.0
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 17:25 EDT by Mike Thompson
Modified: 2014-01-02 15:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:35:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Thompson 2013-10-09 17:25:44 EDT
Description of problem:
When navigating the subtab menus of the Group Monitoring tabs the page refresh eventually becomes confused.


Version-Release number of selected component (if applicable): 3.2 ER03


How reproducible:
Always


Steps to Reproduce:
1. click on an autogroup say CPUs
2. click on monitoring tab 
3. click around between subtabs (Graphs, Metrics, Graphs)

Actual results:
Graph page becomes blank


Expected results:
Page should refresh automatically.


Additional info:
Workaround: Just click a Date range like 12h and the page will refresh.
Comment 2 Mike Thompson 2013-10-10 13:10:20 EDT
I have added a listener for the subtab events such that graphs can properly refresh for subtab navigation.

committed to master: 8c44d87
Comment 3 Mike Thompson 2013-10-10 13:41:55 EDT
This has *not* been cherry-picked for JON 3.2 yet.
Comment 4 Mike Thompson 2013-10-10 13:44:59 EDT
@Heiko shall I cherry pick this to JON 3.2 branch?
Comment 5 Heiko W. Rupp 2013-10-10 14:36:07 EDT
If that was for a problem (as you describe it) I am in favor.


Please from now on only set to MODIFIED *after* the c-p.
Comment 6 Mike Thompson 2013-10-10 14:52:43 EDT
Cherry picked to release/JON3.2.x 
commit id: 2e1c13d
Comment 7 Simeon Pinder 2013-10-24 00:10:33 EDT
Moving to ON_QA for testing in the next build.
Comment 8 Sunil Kondkar 2013-11-18 07:50:06 EST
Verified on version : 3.2.0.ER5 build Number : 2cb2bc9:225c796

Note You need to log in before you can comment on or make changes to this bug.